---
title: PromiseRejectionEvent.reason
slug: Web/API/PromiseRejectionEvent/reason
tags:
  - API
  - HTML DOM
  - JavaScript
  - PromiseRejectionEvent
  - Promises
  - Property
  - Reference
  - events
  - reason
---
<p>{{APIRef("HTML DOM")}}</p>

<p>The {{domxref("PromiseRejectionEvent")}} <strong><code>reason</code></strong> read-only property is any JavaScript value or {{jsxref("Object")}} which provides the reason passed into {{jsxref("Promise.reject()")}}. This in theory provides information about why the promise was rejected.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>reason</em> = <em>PromiseRejectionEvent</em>.reason</pre>

<h3 id="Value">Value</h3>

<p>A  value or object which provides information you can use to understand why the promise was rejected. This could be anything from an error code to an object with text, links, and whatever else you might wish to include.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">window.onunhandledrejection = function(e) {
  console.log(e.reason);
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'webappapis.html#dom-promiserejectionevent-reason', 'PromiseRejectionEvent.reason')}}</td>
   <td>{{ Spec2('HTML WHATWG') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PromiseRejectionEvent.reason")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Promise")}}</li>
 <li>{{domxref("PromiseRejectionEvent")}}</li>
 <li>{{event("rejectionhandled")}}</li>
 <li>{{event("unhandledrejection")}}</li>
</ul>
